Bug 244310 - www/firefox: update to 74.0 (phase: Beta, ETA: 2020-03-10)
Summary: www/firefox: update to 74.0 (phase: Beta, ETA: 2020-03-10)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 243295
Blocks: 244793
  Show dependency treegraph
 
Reported: 2020-02-22 14:34 UTC by Jan Beich
Modified: 2020-03-13 13:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-02-22 14:34:11 UTC
See review D23646 for the patch.
Comment 1 commit-hook freebsd_committer 2020-03-05 02:03:32 UTC
A commit references this bug:

Author: jbeich
Date: Thu Mar  5 02:03:15 UTC 2020
New revision: 527804
URL: https://svnweb.freebsd.org/changeset/ports/527804

Log:
  www/firefox: update to 74.0

  Changes:	https://www.mozilla.org/firefox/74.0/releasenotes/
  PR:		244310
  Security:	9f900456-0bfa-4da4-ad59-14b2933259a2
  Differential Revision:	https://reviews.freebsd.org/D23646

Changes:
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1288587
  head/www/firefox/files/patch-cubeb-sndio
Comment 2 Jan Beich freebsd_committer 2020-03-06 18:24:22 UTC
Firefox 75 won't support system sqlite3, so there was no point in blocking update.
https://bugzilla.mozilla.org/show_bug.cgi?id=1611386
Comment 3 commit-hook freebsd_committer 2020-03-07 19:07:12 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  7 19:06:39 UTC 2020
New revision: 527969
URL: https://svnweb.freebsd.org/changeset/ports/527969

Log:
  MFH: r527804

  www/firefox: update to 74.0

  Changes:	https://www.mozilla.org/firefox/74.0/releasenotes/
  PR:		244310
  Security:	9f900456-0bfa-4da4-ad59-14b2933259a2
  Approved by:	ports-secteam blanket
  Differential Revision:	https://reviews.freebsd.org/D23646

Changes:
_U  branches/2020Q1/
  branches/2020Q1/Mk/bsd.gecko.mk
  branches/2020Q1/www/firefox/Makefile
  branches/2020Q1/www/firefox/distinfo
  branches/2020Q1/www/firefox/files/patch-bug1288587
  branches/2020Q1/www/firefox/files/patch-cubeb-sndio
Comment 4 Thomas Hurst 2020-03-09 16:49:05 UTC
Looks like the quarterly backport is incomplete:

http://beefy2.nyi.freebsd.org/data/121amd64-quarterly/527970/logs/firefox-74.0_1,1.log

[121amd64-quarterly-job-01] Extracting nspr-4.24: .......... done
===>   firefox-74.0_1,1 depends on package: nspr>=4.25 - not found
*** Error code 1
Comment 5 Jan Beich freebsd_committer 2020-03-09 18:32:05 UTC
Thanks (to you and kevans@). devel/rust-cbindgen needed to be updated as well. I originally thought it was an internal error in the package cluster. ;)